reconstruct {ape} | R Documentation

## Continuous Ancestral Character Estimation

### Description

This function estimates ancestral character states, and the associated uncertainty, for continuous characters. It mainly works as the `ace` function, from which it differs in the fact that optimisations are not performed by numerical algorithms but through matrix computations.

### Usage

    reconstruct(x, phyInit, method = "ML", CI = TRUE)

### Arguments

`x` | a vector or a factor.
`phyInit` | an object of class `"phylo"`.
`method` | a character specifying the method used for estimation. Three choices are possible: `"ML"`, `"REML"` or `"GLS"`.
`CI` | a logical specifying whether to return the 95% confidence intervals of the ancestral state estimates.

### Details

The default model is Brownian motion where characters evolve randomly following a random walk. This model can be fitted by maximum likelihood (Felsenstein 1973, Schluter et al. 1997 - the default), residual maximum likelihood, or generalized least squares (`method = "GLS"`, Martins and Hansen 1997, Cunningham et al. 1998).

### Value

a list with the following elements:

`ace` | the estimates of the ancestral character values.
`CI95` | the estimated 95% confidence intervals.
`sigma2` | if `method = "ML"`, the maximum likelihood estimate of the Brownian parameter.
`loglik` | if `method = "ML"`, the maximum log-likelihood.

### Author(s)

Manuela Royer-Carenzi, Gilles Didier

### References

Cunningham, C. W., Omland, K. E. and Oakley, T. H. (1998) Reconstructing ancestral character states: a critical reappraisal. Trends in Ecology & Evolution, 13, 361–366.

Felsenstein, J. (1973) Maximum likelihood estimation of evolutionary trees from continuous characters. American Journal of Human Genetics, 25, 471–492.

Martins, E. P. and Hansen, T. F. (1997) Phylogenies and the comparative method: a general approach to incorporating phylogenetic information into the analysis of interspecific data. American Naturalist, 149, 646–667.

Schluter, D., Price, T., Mooers, A. O. and Ludwig, D. (1997) Likelihood of ancestor states in adaptive radiation. Evolution, 51, 1699–1711.

Yang, Z. (2006) Computational Molecular Evolution. Oxford: Oxford University Press.

Royer-Carenzi, M. and Didier, G. (2014) Comparison of ancestral state reconstruction methods for continuous characters under directional evolution. Submitted.

### See Also

`MPR`, `corBrownian`, `compar.ou`

Reconstruction of ancestral sequences can be done with the package phangorn (see function `?ancestral.pml`).

### Examples

    ### Some random data...
    data(bird.orders)
    x <- rnorm(23)
    ### Compare the three methods for continuous characters:
    reconstruct(x, bird.orders)
    reconstruct(x, bird.orders, method = "REML")

[Package ape version 3.5 Index]